/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.test.performance.reporting.model;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.birt.test.performance.reporting.xml.XMLReportVisitor;

public class InputNode extends BaseNode
{

	private String dir = null;
	private List reportDesigns = new ArrayList( );

	public InputNode( String dir )
	{
		this.dir = null;
	}

	/**
	 * @return Returns the dir.
	 */
	public String getDir( )
	{
		return dir;
	}

	/**
	 * @param dir
	 *            The dir to set.
	 */
	public void setDir( String dir )
	{
		this.dir = dir;
	}

	public InputNode( )
	{
	}

	public void addReportDesign( ReportDesignNode reportdesign )
	{
		this.reportDesigns.add( reportdesign );
	}

	public List getReportDesigns( )
	{
		return this.reportDesigns;
	}

	public void accept( XMLReportVisitor visitor )
	{
		visitor.visit( this );
	}
}
